
%define module Getopt::Long

Name:           perl-Getopt-Long
Version:        2.45
Release:        1%{?org_tag}%{?dist}
Summary:        Extended processing of command line options
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Getopt-Long/
Source0:        http://www.cpan.org/authors/id/J/JV/JV/Getopt-Long-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
The Getopt::Long module implements an extended getopt function called
GetOptions(). This function adheres to the POSIX syntax for command line
options, with GNU extensions. In general, this means that options have
long names instead of single letters, and are introduced with a double
dash "--". Support for bundling of command line options, as was the case
with the more traditional single-letter approach, is provided but not
enabled by default.

WARNING: the man page for this package conflicts with the old one included
in the base perl module, and cannot be updated via yum. The new man page
is instead available as 'man %{module}-%{version}'.

%prep
%setup -q -n Getopt-Long-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

# The man pages conflict with those in the main perl package :-/
mv %{buildroot}%{_mandir}/man3/%{module}.3pm %{buildroot}%{_mandir}/man3/%{module}-%{version}.3pm

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Apr 11 2015 Gavin Carr <gavin@openfusion.com.au> 2.45-1
- Update to version 2.45.

* Tue Mar 11 2014 Gavin Carr <gavin@openfusion.com.au> 2.42-1
- Update to version 2.42.

* Wed Mar 23 2011 Gavin Carr <gavin@openfusion.com.au> 2.38-1
- Specfile autogenerated by cpanspec 1.79.
